JUCE: WildcardFileFilter Class Reference

JUCE

Public Member Functions | List of all members
WildcardFileFilter Class Reference
juce_core » files

A type of FileFilter that works by wildcard pattern matching. More...

`#include <juce_WildcardFileFilter.h>`

Inheritance diagram for WildcardFileFilter:

## Public Member Functions
| WildcardFileFilter (const String &fileWildcardPatterns, const String &directoryWildcardPatterns, const String &filterDescription)
| Creates a wildcard filter for one or more patterns. More...
| ~WildcardFileFilter () override
| Destructor. More...
bool | isFileSuitable (const File &file) const override
| Returns true if the filename matches one of the patterns specified. More...
bool | isDirectorySuitable (const File &file) const override
| This always returns true. More...
Public Member Functions inherited from FileFilter
| FileFilter (const String &filterDescription)
| Creates a filter with the given description. More...
virtual | ~FileFilter ()
| Destructor. More...
const String & | getDescription () const noexcept
| Returns the description that the filter was created with. More...
virtual bool | isFileSuitable (const File &file) const =0
| Should return true if this file is suitable for inclusion in whatever context the object is being used. More...
virtual bool | isDirectorySuitable (const File &file) const =0
| Should return true if this directory is suitable for inclusion in whatever context the object is being used. More...

## Additional Inherited Members
Protected Attributes inherited from FileFilter
String | description

## Detailed Description

A type of FileFilter that works by wildcard pattern matching.

This filter only allows files that match one of the specified patterns, but allows all directories through.

See also
  FileFilter, DirectoryContentsList, FileListComponent, FileBrowserComponent

## Constructor & Destructor Documentation

## ◆ WildcardFileFilter()

WildcardFileFilter::WildcardFileFilter | ( | const String & | fileWildcardPatterns,
|  | const String & | directoryWildcardPatterns,
|  | const String & | filterDescription
| ) |  |

Creates a wildcard filter for one or more patterns.

The wildcardPatterns parameter is a comma or semicolon-delimited set of patterns, e.g. "*.wav;*.aiff" would look for files ending in either .wav or .aiff.

Passing an empty string as a pattern will fail to match anything, so by leaving either the file or directory pattern parameter empty means you can control whether files or directories are found.

The description is a name to show the user in a list of possible patterns, so for the wav/aiff example, your description might be "audio files".

## ◆ ~WildcardFileFilter()

WildcardFileFilter::~WildcardFileFilter | ( |  | ) |
| override

Destructor.

## Member Function Documentation

## ◆ isFileSuitable()

bool WildcardFileFilter::isFileSuitable | ( | const File & | file | ) | const
| overridevirtual

Returns true if the filename matches one of the patterns specified.

Implements FileFilter.

## ◆ isDirectorySuitable()

bool WildcardFileFilter::isDirectorySuitable | ( | const File & | file | ) | const
| overridevirtual

This always returns true.

Implements FileFilter.

The documentation for this class was generated from the following file:

- juce_WildcardFileFilter.h